'use strict';

var React = require('react');
var PropTypes = require('prop-types');
var react = require('@carbon/react');
var classnames = require('classnames');
var Settings = require('../../constants/Settings.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);
var PropTypes__default = /*#__PURE__*/_interopDefault(PropTypes);
var classnames__default = /*#__PURE__*/_interopDefault(classnames);

var iotPrefix = Settings.settings.iotPrefix;
var propTypes = {
  tiles: PropTypes__default.default.arrayOf(PropTypes__default.default.node),
  testId: PropTypes__default.default.string
};
var defaultProps = {
  tiles: null,
  testId: 'tile-group'
};

/** this component just exists to make the last tile look good in a responsive flex container */
var TileGroup = function TileGroup(_ref) {
  var tiles = _ref.tiles,
    className = _ref.className,
    testId = _ref.testId;
  return /*#__PURE__*/React__default.default.createElement("div", {
    "data-testid": testId,
    className: classnames__default.default(className, "".concat(iotPrefix, "--tile-group"))
  }, tiles, /*#__PURE__*/React__default.default.createElement(react.Tile, {
    className: "".concat(iotPrefix, "--greedy-tile")
  }));
};
TileGroup.propTypes = propTypes;
TileGroup.defaultProps = defaultProps;
TileGroup.__docgenInfo = {
  "description": "this component just exists to make the last tile look good in a responsive flex container",
  "methods": [],
  "displayName": "TileGroup",
  "props": {
    "tiles": {
      "defaultValue": {
        "value": "null",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "arrayOf",
        "value": {
          "name": "node"
        }
      },
      "required": false
    },
    "testId": {
      "defaultValue": {
        "value": "'tile-group'",
        "computed": false
      },
      "description": "",
      "type": {
        "name": "string"
      },
      "required": false
    }
  }
};
var TileGroup$1 = TileGroup;

module.exports = TileGroup$1;
